package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-试验方法已读记录 t_study_method_read
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_method_read")
public class StudyMethodRead extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验-学科id */
    private Long studySubjectId;

    /** 所属试验方法id */
    private Long studyMethodId;

    private Long qmrId;

    private String qmrMc;

    private String qmyy;

    public Long getStudyMethodId() {
        return studyMethodId;
    }

    public void setStudyMethodId(Long studyMethodId) {
        this.studyMethodId = studyMethodId;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }

    public String getQmyy() {
        return qmyy;
    }

    public void setQmyy(String qmyy) {
        this.qmyy = qmyy;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public Long getStudySubjectId() {
        return studySubjectId;
    }

    public void setStudySubjectId(Long studySubjectId) {
        this.studySubjectId = studySubjectId;
    }
}
